LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sheet::ExternalLinkType Constant Group Reference

Constants designating the link type in ExternalLinkInfo, used with FormulaParser::ExternalLinks. More...

## Variables
const long | UNKNOWN = 0
| Unknown element type. More...
const long | DOCUMENT = 1
| URL of an external document. More...
const long | DDE = 2
| DDE link. More...
const long | SELF = 3
| Reference to the own document. More...
const long | SPECIAL = 4
| For special use cases. More...

## Detailed Description

Constants designating the link type in ExternalLinkInfo, used with FormulaParser::ExternalLinks.

Since
  OOo 3.1

## Variable Documentation

## ◆ DDE

const long DDE = 2

DDE link.

## ◆ DOCUMENT

const long DOCUMENT = 1

URL of an external document.

## ◆ SELF

const long SELF = 3

Reference to the own document.

## ◆ SPECIAL

const long SPECIAL = 4

For special use cases.

Behaviour is dependent on the implementation of the formula parser.

## ◆ UNKNOWN

const long UNKNOWN = 0

Unknown element type.